# This file is part of CloudControl.
#
# CloudControl is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# CloudControl is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with CloudControl.  If not, see <http://www.gnu.org/licenses/>.


""" Jobs manager of CloudControl.

The jobs manager is a component running on both server and nodes. It is in
charge of reporting of jobs status.
"""


from cloudcontrol.common.jobs.interface import JobsManagerInterface
from cloudcontrol.common.jobs.store import JobsStore
from cloudcontrol.common.jobs.job import Job, JobCancelError
from cloudcontrol.common.jobs.manager import JobsManager


__all__ = ['JobsManager', 'JobsManagerInterface', 'Job', 'JobsStore', 'JobCancelError']
